#include "SoundManager.hpp"

namespace hny {

	SoundManager* SoundManager::mInstance = 0;

	SoundManager::SoundManager()
	{
	}

	SoundManager::~SoundManager() {}

	SoundManager* SoundManager::GetInstance() {

		if(mInstance == 0)
			mInstance = new SoundManager();

		return mInstance;
	}

	void SoundManager::Destroy() {
		if(mInstance != 0) {
			delete mInstance;
			mInstance = 0;
		}
	}

	void AddEffect(const std::string& file, const std::string& name)
	{
		
	}

	void AddStream(const std::string& file, const std::string& name)
	{

	}
}